> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/english/sustainability/nta-8800-energylabel-v2-api/frequently-asked-questions-faq.md).

# Frequently Asked Questions (FAQ)

### When using user input `measures_method = 4` and only a subset of measures are being provided, what is the source of the other measures?

When using **user input (`measures_method = 4`)**, the API uses the measures provided in the request as the basis for the calculation.

If only a **subset of measures** is provided, the remaining measures are determined using the model’s internal defaults based on the building characteristics (such as build year, house type, and surface area).

If **at least one measure is provided by the user**, **external sources and machine learning models are not used** to determine the remaining measures.

However, the calculation may still adjust a provided measure due to **model restrictions or building regulations**. In such cases, the system replaces the value with the closest allowed value and returns a **warning** in the response.

<pre><code>{
<strong>  "code": "03",
</strong>  "description": "wall_insulation: 2 is not allowed for build_year: 2010. Allowed values: [4]. Set wall_insulation: 4."
}
</code></pre>

If users want to see the **baseline estimation without user overrides**, they can first call the API **without providing measures**, and then reuse or modify those measures in a subsequent request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/english/sustainability/nta-8800-energylabel-v2-api/frequently-asked-questions-faq.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
